Bug 1341583 (CVE-2016-4459) - CVE-2016-4459 mod_cluster: Buffer overflow in mod_manager when sending request with long JVMRoute
Summary: CVE-2016-4459 mod_cluster: Buffer overflow in mod_manager when sending reques...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4459
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161012,reported=2...
Depends On: 1341601 1341602
Blocks: 1341562 1395463
TreeView+ depends on / blocked
 
Reported: 2016-06-01 10:18 UTC by Timothy Walsh
Modified: 2019-06-11 11:13 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that specifying configuration with a JVMRoute path longer than 80 characters will cause segmentation fault leading to a server crash.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:53:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2054 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.4.10 natives update on RHEL 7 2017-03-23 22:23:49 UTC
Red Hat Product Errata RHSA-2016:2055 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.4.10 natives update on RHEL 6 2017-02-21 05:08:14 UTC
Red Hat Product Errata RHSA-2016:2056 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.10 update 2016-10-12 20:57:34 UTC
Red Hat Product Errata RHSA-2016:2957 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP 2.4.23 Release 2016-12-16 03:11:19 UTC
Red Hat Product Errata RHSA-2017:0193 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 Release on RHEL 6 2017-01-26 01:05:09 UTC
Red Hat Product Errata RHSA-2017:0194 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 Release on RHEL 7 2017-01-26 01:04:50 UTC

Description Timothy Walsh 2016-06-01 10:18:03 UTC
Configuration of mod_cluster via JVMRoute longer than 80 characters will cause segfault.

A segmentation fault can occur in Apache HTTPD 2.2. 

The crash is due to a strcpy buffer overflow in mod_cluster's mod_manager.

https://github.com/modcluster/mod_cluster/blob/1.2.9.Final/native/mod_manager/node.c#L227 [Open URL]

If clients send a request with a JVMRoute longer than 80 characters
(the size of the strcpy destination), the strcpy segfaults.

Comment 6 Timothy Walsh 2016-06-02 03:49:36 UTC

Acknowledgments:

Name: Robert Bost (Red Hat)

Comment 10 errata-xmlrpc 2016-10-12 17:02:35 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4.10

Via RHSA-2016:2056 https://rhn.redhat.com/errata/RHSA-2016-2056.html

Comment 11 errata-xmlrpc 2016-10-12 17:09:41 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 7

Via RHSA-2016:2054 https://rhn.redhat.com/errata/RHSA-2016-2054.html

Comment 12 errata-xmlrpc 2016-10-12 17:20:27 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2016:2055 https://rhn.redhat.com/errata/RHSA-2016-2055.html

Comment 13 errata-xmlrpc 2016-12-15 22:20:24 UTC
This issue has been addressed in the following products:



Via RHSA-2016:2957 https://rhn.redhat.com/errata/RHSA-2016-2957.html

Comment 14 errata-xmlrpc 2017-01-25 20:05:50 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2017:0194 https://access.redhat.com/errata/RHSA-2017:0194

Comment 15 errata-xmlrpc 2017-01-25 20:07:17 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2017:0193 https://access.redhat.com/errata/RHSA-2017:0193


Note You need to log in before you can comment on or make changes to this bug.